[Novatech N1402 NNB-978] Touchpad does not work at all

Bug #1244643 reported by Geoff Kelsall on 2013-10-25
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

WORKAROUND: Kernel parameter: i8042.noloop

When producing this bug report I got:

ubuntu@ubuntu:~$ ubuntu-bug linux
ubuntu@ubuntu:~$
(process:4162): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.11.0-12-generic 3.11.0-12.19
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2918 F.... pulseaudio
CasperVersion: 1.336ubuntu1
Date: Fri Oct 25 12:32:01 2013
LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20131021.1)
MachineType: To be filled by O.E.M. To be filled by O.E.M.
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: initrd=/casper/initrd.lz file=/cdrom/preseed/username.seed boot=casper quiet splash -- BOOT_IMAGE=/casper/vmlinuz.efi
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-12-generic N/A
 linux-backports-modules-3.11.0-12-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: yes
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/11/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.5
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: ChiefRiver
dmi.board.vendor: INTEL Corporation
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.5:bd06/11/2012:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnINTELCorporation:rnChiefRiver:rvrTobefilledbyO.E.M.:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

Geoff Kelsall (q5sc) wrote :
Geoff Kelsall (q5sc) wrote :

I guess this bug should cross-ref bug 1070958 but I do not know how to do that.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Geoff Kelsall (q5sc) on 2013-10-25
description: updated
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.12 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc6-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Geoff Kelsall (q5sc) wrote :

I already tried to do that but could not succeed (details in previous bug report marked as duplicate of this).

tags: added: kernel-unable-to-test-upstream

Geoff Kelsall, bug 1070958 is not considered a duplicate, so please do not mark it as one or vice versa. As well, please don't make people dumpster dive into other reports for information. Please just answer the question in full here, in your report.

Despite this, could you please provide the full computer model as noted on the sticker?

tags: added: needs-full-computer-model needs-upstream-testing regression-potential
Geoff Kelsall (q5sc) wrote :

Tried to install latest kernel to test but got error:

geoff@geoff-laptop:~$ sudo dpkg -i *.deb
[sudo] password for geoff:
Selecting previously unselected package linux-headers-3.12.0-999-generic.
(Reading database ... 162764 files and directories currently installed.)
Unpacking linux-headers-3.12.0-999-generic (from linux-headers-3.12.0-999-generic_3.12.0-999.201310240427_amd64.deb) ...
Selecting previously unselected package linux-image-3.12.0-999-generic.
Unpacking linux-image-3.12.0-999-generic (from linux-image-3.12.0-999-generic_3.12.0-999.201310240427_amd64.deb) ...
Done.
dpkg: dependency problems prevent configuration of linux-headers-3.12.0-999-generic:
 linux-headers-3.12.0-999-generic depends on linux-headers-3.12.0-999; however:
  Package linux-headers-3.12.0-999 is not installed.

dpkg: error processing linux-headers-3.12.0-999-generic (--install):
 dependency problems - leaving unconfigured
Setting up linux-image-3.12.0-999-generic (3.12.0-999.201310240427) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.12.0-999-generic /boot/vmlinuz-3.12.0-999-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.12.0-999-generic /boot/vmlinuz-3.12.0-999-generic
update-initramfs: Generating /boot/initrd.img-3.12.0-999-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.12.0-999-generic /boot/vmlinuz-3.12.0-999-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.12.0-999-generic /boot/vmlinuz-3.12.0-999-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.12.0-999-generic /boot/vmlinuz-3.12.0-999-generic
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.12.0-999-generic
Found initrd image: /boot/initrd.img-3.12.0-999-generic
Found linux image: /boot/vmlinuz-3.11.0-12-generic
Found initrd image: /boot/initrd.img-3.11.0-12-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Ubuntu 12.04.2 LTS (12.04) on /dev/sda1
Found Ubuntu 13.10 (13.10) on /dev/sda7
done
Errors were encountered while processing:
 linux-headers-3.12.0-999-generic
geoff@geoff-laptop:~$

Geoff Kelsall (q5sc) wrote :

My laptop is a Novatech N1402 NNB-978 but in the bug mentioned above other users quoted different Novatech models. Why do you think it might not be a duplicate bug?

tags: removed: needs-full-computer-model
Geoff Kelsall (q5sc) wrote :

Would it be useful if I ask Novatech if they use the same touchpad in the different models? Anything else I should ask them?

summary: - Touchpad on Novatech laptop does not work at all
+ [Novatech N1402 NNB-978] Touchpad does not work at all

Geoff Kelsall, if you could please call Novatech and inquire about a BIOS update, that would be quite helpful.

Geoff Kelsall, thank you for checking in with Novatech. Could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Medium → Low
Geoff Kelsall (q5sc) wrote :

No reply from Novatech and I am afraid I am unable to test the latest upstream kernel as I have lent out my laptop for a few weeks.

Geoff Kelsall (q5sc) wrote :

I tried to install the latest upstream kernel but no entry for Trusty appeared on my menu. So I tried the daily build from a usb stick and that confirmed the bug.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Geoff Kelsall, thank you for testing Trusty. Regarding the upstream kernel, it wouldn't show the word Trusty in the Grub entry. It would be something to the effect of:
3.13.0-031300

Hence, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-trusty/ (not the daily folder) and advise to the results?

As well, did this problem not occur in a release prior to Trusty?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Geoff Kelsall (q5sc) wrote :

The problem has occurred on all releases I have tested.

I thought there would be an option on my menu for both my standard kernel which came with 12.04 and for the one I wanted to test. But there is only one entry like that on the menu.

Not being a Linux expert I am a bit confused now whether I am running the latest kernel or not.
geoff@geoff-laptop:~/Downloads$ uname -a
Linux geoff-laptop 3.13.0-031300-generic #201401192235 SMP Mon Jan 20 03:46:44 UTC 2014 i686 i686 i386 GNU/Linux

The touchpad is working fine now but I am on 12.04. and presumably that is because of the workaround. If I am indeed on the latest kernel I guess I need to temporarily remove the fix by doing:
edit /etc/default/grub
change line
GRUB_CMDLINE_LINUX="i8042.noloop"
to
 GRUB_CMDLINE_LINUX=""
run sudo update-grub
reboot

Do you know whether I am on the kernel which needs testing and if so should I take out the workaround to test?

Geoff Kelsall (q5sc) wrote :

Duh I see there is a date comment on the kernel above so it must be the one I am supposed to test.

Tested and touchpad does not work.

tags: removed: kernel-unable-to-test-upstream needs-upstream-testing
Geoff Kelsall (q5sc) wrote :

Note above test was the 32 bit kernel as I could not install the 64 bit.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Geoff Kelsall, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: kernel-bug-exists-upstream-3.13 precise
removed: regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Geoff Kelsall (q5sc) wrote :

Mailed <email address hidden> with requested info.

Re a url I cannot see it when I search http://www.spinics.net/lists/linux-input/ for "Novatech touchpad" but I suppose it takes a while to be put in there.

Geoff Kelsall (q5sc) wrote :
Download full text (43.9 KiB)

I sent the mail from a normal (as far as I know it is like gmail) Google Apps email account but the mailer says the message containes HTML and has rejected it:

Delivery to the following recipient failed permanently:

     <email address hidden>

Technical details of permanent failure:
Google tried to deliver your message, but it was rejected by the server for the recipient domain vger.kernel.org by vger.kernel.org. [209.132.180.67].

The error that the other server returned was:
550 5.7.1 Content-Policy reject msg: The message contains HTML subpart, therefore we consider it SPAM or Outlook Virus. TEXT/PLAIN is accepted.! BF:<H 0>; S1750983AbaA1ILz

----- Original message -----

X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20130820;
        h=x-gm-message-state:mime-version:from:date:message-id:subject:to
         :content-type;
        bh=6VXe5YYXb95VHAzZ5B7URtKL476Wk1EevKHxEFKCc6U=;
        b=ge2ros0hU36q0LBlWwIPPbuDW0dA9dK9ymNFIAhUfRh6853Hicp3KAVKvNLLUIhOBs
         hUdKshonMxW2ntKUr1BChIRx+FersRltho0I/gfMuFVOdqMwG+LFXt/7WkMUnxnjmERf
         qfseXRzTYsz1ykfClH/60bX//Gvk03pvc2TbVttEPYGSew+lSlrKedye+Z+X2HH7wxuL
         qgY6CDW5ueYSCsRXEef7mNrXPozEE7xR6gMhWvbff+Hr9EHzkhXwFWDJ24vHasWoKm2b
         9C7QlLmrpPwjP8P760B8d/5fl5ktE0ddHqrExlY//AVC+NIKaFjypJaC3rb/uxBJFk5F
         OyGQ==
X-Gm-Message-State: ALoCoQnSHNRHUpFgjqyLIai0D5iqvdAFni26/REesPA6T2BqsYyA1t91xUj1ZgmyT+/qdpb4J0BX
X-Received: by 10.224.88.3 with SMTP id y3mr208070qal.80.1390896714184; Tue,
 28 Jan 2014 00:11:54 -0800 (PST)
MIME-Version: 1.0
Received: by 10.229.82.204 with HTTP; Tue, 28 Jan 2014 00:11:34 -0800 (PST)
From: Geoff Kelsall <email address hidden>
Date: Tue, 28 Jan 2014 10:11:34 +0200
Message-ID: <email address hidden>
Subject: Touchpad does not work at all [Novatech N1402 NNB-978]
To: <email address hidden>
Content-Type: multipart/alternative; boundary=001a11c3dbbc91906c04f103603a
----- Message truncated -----

But I cannot find the HTML in the message - which is:

[Novatech N1402 NNB-978] Touchpad does not work at all

WORKAROUND: Kernel parameter: i8042.noloop

Linux version 3.13.0-031300-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201401192235 SMP Mon Jan 20 03:46:44 UTC 2014

Description: Ubuntu 12.04.2 LTS
Release: 12.04

geoff@geoff-laptop:/usr/src/linux-headers-3.13.0-031300/scripts$ sh ver_linux
If some fields are empty or look unusual you may have an old version.
Compare to the current minimal requirements in Documentation/Changes.

Linux geoff-laptop 3.13.0-031300-generic #201401192235 SMP Mon Jan 20 03:46:44 UTC 2014 i686 i686 i386 GNU/Linux

Gnu C 4.6
Gnu make 3.81
binutils 2.22
util-linux 2.20.1
mount support
module-init-tools 3.16
e2fsprogs 1.42
pcmciautils 018
PPP 2.4.5
Linux C Library 2.15
Dynamic linker (ldd) 2.15
Procps 3.2.8
Net-tools 1.60
Kbd 1.15.2
Sh-utils 8.13
wireless-tools 30
Modules Loaded ctr ccm uvc...

Geoff Kelsall, as per https://wiki.ubuntu.com/Bugs/Upstream/kernel :
Second step: E-mail the maintainer mailinglist with Kernel.org format
Please note, when E-Mailing a maintainer mailing list, do so in plain text, not html. Otherwise, it will be flagged as SPAM and bounced.

Geoff Kelsall (q5sc) wrote :

As far as I can see my email above was in plain text. Or have I missed something? Perhaps there is a fault with their spam filtering?

Geoff Kelsall (q5sc) wrote :

Clicked the down triangle at the bottom right of gmail for more options, checked "plain text" and tried again.

prosf (prosfatos) wrote :

There is now a solution (for 64bit kernels also)
Please check
https://bugzilla.kernel.org/show_bug.cgi?id=81331

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.